> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-guardianstatusenum.md).

# medcrypt::guardian::GuardianStatusEnum

## 유형

|     | 이름                                                                                                                                                                                                                                                                                                                                                   |
| --- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 열거형 | [**유형**](#enum-type) { OK = 0x00, FAIL = 0x01, BADPARAM = 0x02, MISCONFIGURED = 0x03, INCOMPLETE = 0x04, DENIED = 0x05, BADINIT = 0x06, PROTOCOL = 0x07, OUTOFMEMORY = 0x08, VERIFYFAIL = 0x09, FILENOTFOUND = 0x0A, ZEROSIZEFILE = 0x0B, NOWRITE = 0x0C, SHUTDOWN = 0x0D, AGAIN = 0x0E, HANDSHAKEREQUIRED = 0x0F, TIMEOUT = 0x10, BINDFAIL = 0x11 } |

## 함수

|                    | 이름                                                                  |
| ------------------ | ------------------------------------------------------------------- |
| std::string        | [**NameOf**](#function-nameof)(const [Type](#enum-type) & in\_enum) |
| [Type](#enum-type) | [**Enum**](#function-enum)(const std::string & in\_string)          |
| bool               | [**IsValid**](#function-isvalid)(const int & in\_value)             |

## 유형 문서

### 열거형 Type

| 열거자               | 값    | 설명                      |
| ----------------- | ---- | ----------------------- |
| OK                | 0x00 | 호출이 성공적으로 완료됨           |
| FAIL              | 0x01 | 호출이 성공적으로 완료되지 않음       |
| BADPARAM          | 0x02 | 제공된 매개변수에 문제가 있음        |
| MISCONFIGURED     | 0x03 | 구성으로 인해 호출이 차단됨         |
| INCOMPLETE        | 0x04 | 프로세스가 시작되었지만 완료되지 않음    |
| DENIED            | 0x05 | 허용되지 않는 작업              |
| BADINIT           | 0x06 | 초기화되지 않은 객체에 대한 호출      |
| PROTOCOL          | 0x07 | guardian 프로토콜 오류        |
| OUTOFMEMORY       | 0x08 | 메모리가 부족함                |
| VERIFYFAIL        | 0x09 | 서명 확인에 실패함              |
| FILENOTFOUND      | 0x0A | 필요한 파일을 모두 읽을 수 없음      |
| ZEROSIZEFILE      | 0x0B | 제공된 파일의 크기가 0임          |
| NOWRITE           | 0x0C | 파일을 쓸 수 없음              |
| SHUTDOWN          | 0x0D | 객체가 종료됨                 |
| AGAIN             | 0x0E | 비차단 호출입니다. 다시 시도하세요     |
| HANDSHAKEREQUIRED | 0x0F | 다시 시도하기 전에 핸드셰이크를 완료하세요 |
| 시간 초과             | 0x10 | 프로세스 시간이 초과되었습니다        |
| 바인딩 실패            | 0x11 | 소켓 또는 핸들에 바인딩할 수 없습니다   |

## 함수 설명서

### NameOf 함수

```cpp
std::string NameOf(
    const Type & in_enum
)
```

### Enum 함수

```cpp
Type Enum(
    const std::string & in_string
)
```

### IsValid 함수

```cpp
bool IsValid(
    const int & in_value
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-guardianstatusenum.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
